[RESOLVED]Virtualbox - which do I install and from where??

Questions about applications and software
Forum rules
Before you post please read this

[RESOLVED]Virtualbox - which do I install and from where??

Postby titianmom on Mon Aug 04, 2014 1:24 pm

Hello, I'm in LMDE's Synaptic Package Manager. There appears to be various options to install. (FYI, I see that virtual-guest-x11, virtual-guest-dkms, and virtual-guest-utils are already installed...)

Since they're all 4.2.16, I'm guessing I should go with the just plain "virtualbox" at the top to install, since its 4.2.1.

However, I'm reading about others going to the http://www.virtualbox.org website and installing 4.3.whatever.

This should be an easy one; I'm assuming the 4.2.1 Virtualbox in Synaptic Package Manager is the stable/tested one for the latest LMDE. Correct? thanks, Kim
Last edited by titianmom on Wed Aug 06, 2014 9:58 pm, edited 3 times in total.
titianmom
Level 3
Level 3
 
Posts: 135
Joined: Thu Jan 07, 2010 12:32 am

Linux Mint is funded by ads and donations.
 

Re: Virtualbox - which do I install and from where??

Postby mandrake88 on Mon Aug 04, 2014 2:45 pm

Usually, the best option is always use the repo for install new software.
If you need an specific version witch is not avaible in the repo, then you should go and download the package from virtualbox site, debian repos are always behind in terms of versions, the updates circle is slower. But we aware, installing software outside the repos can generate problems like broken/missing dependencies that u will have to handle by yourself, for know packages like virtualbox probably u won't find any problems (or if you find one, the solution will be easy to find just by googling it)
mandrake88
Level 1
Level 1
 
Posts: 36
Joined: Sat Mar 19, 2011 7:01 pm

Re: Virtualbox - which do I install and from where??

Postby titianmom on Mon Aug 04, 2014 3:07 pm

That's fine and what I've found everywhere else, but folks answer but fail to state which version of Virtualbox is the best option: I assume I need "Virtualbox" vs the "Virtualbox-nonfree". Sorry if its obvious to you. I'm tired. seen too many suggestions out there. :)

In fairness, I failed to state that I'm running LMDE, the latest just burned and installed.
Last edited by titianmom on Tue Aug 05, 2014 10:22 am, edited 1 time in total.
titianmom
Level 3
Level 3
 
Posts: 135
Joined: Thu Jan 07, 2010 12:32 am

Re: Virtualbox - which do I install and from where??

Postby titianmom on Tue Aug 05, 2014 10:13 am

I was told Virtualbox-nonfree is old and outdated, so I should go with either Virtualbox from the repos or follow the links under www.virtualbox.org to the version suitable for Debian loads.
The Virtualbox in the Mint repros is a bit behind, but works fine.
titianmom
Level 3
Level 3
 
Posts: 135
Joined: Thu Jan 07, 2010 12:32 am

Re: [Resolved] Virtualbox - which do I install and from wher

Postby titianmom on Tue Aug 05, 2014 5:55 pm

Virtualbox install from the Synaptic package manager had some interesting errors:

Chose Virtualbox and their recommended Virtualbox-dkms.

Saw the following while installing:

Code: Select all

Setting up virtualbox (4.2.16-dfsg-3+b1) ...
[ ok ] Stopping VirtualBox kernel modules.
[....] Starting VirtualBox kernel modules[....] No suitable module for running k
[FAIL found ... failed!
 failed!
invoke-rc.d: initscript virtualbox, action "restart" failed.


Not sure why the errors, but apt-get install virtualbox-qt ran okay...
titianmom
Level 3
Level 3
 
Posts: 135
Joined: Thu Jan 07, 2010 12:32 am

Re: [back open] Virtualbox - which do I install and from whe

Postby gtsfer on Tue Aug 05, 2014 7:04 pm

You need to install these 3 at a minimum for virtualbox to work. Virtualbox, virtualbox-qt and virtualbox-dkms. In LMDE this is all I had to installed (plus whatever Package manager marks as dependencies for these of course). These are all you need, forget the non-free stuff. (this is in addition to VB stuff that's there on installation of the LMDE system, virtualbox-guest-x11, virtualbox-guest-dkms, virtualbox-guest-utils).
There's no Windows in my house. And it's a brighter and happier place now.
LMDE Mate, Cinnamon 17, KDE 17, Debian 7.6.0. Edit your first post and add SOLVED to the Subject if it's resolved.
User avatar
gtsfer
Level 7
Level 7
 
Posts: 1691
Joined: Mon May 27, 2013 9:15 am
Location: Bucks County PA, USA

Re: [back open] Virtualbox - which do I install and from whe

Postby titianmom on Wed Aug 06, 2014 9:58 pm

WHen I downloaded from synaptic Package Manager, all three were included. I checked and all 3 are installed, so I'm okay I'm guessing. I created the VM and installed MS7 with no trouble.

Strange resolution on my display, tho; can't get to highest res. Saw the following popup while installing MS7:

The virtual machine window is optimized to work in 32 bit color mode but the vir
tual display is currently set to 24 bit.
Please open the display properties dialog of the guest OS and select a 32 bit co
lor mode, if it is available, for best possible performance of the virtual video
subsystem.
Note. Some operating systems, like OS/2, may actually work in 32 bit mode but re
port it as 24 bit (16 million colors). You may try to select a different color m
ode to see if this message disappears or you can simply disable the message now
if you are sure the required color mode (32 bit) is not available in the guest O
S.


I checked the new MS7 install, and its set to True 32 bit. ?? So I guess its okay.

I'm wondering if I need to install a driver for the video card under MS 7. Its a GTX Geforce 550.

Will move this to another thread since its not related, and close this.
titianmom
Level 3
Level 3
 
Posts: 135
Joined: Thu Jan 07, 2010 12:32 am

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 4 guests